import request from '../utils/request.js'

class storeList extends request {


  /**
   * 获取最近的门店
   */
  static nearbyStoreList(longitude,latitude) {
    return this.postRequest(`${this.BASE_GROUP_URL}open/store/pos-nearby`, {
      longitude:longitude,
      latitude:latitude
    });
  }


  static getNearbyStoreList(page,pageSize,keyword="",longitude="",latitude="") {
    return this.postRequest(`${this.BASE_GROUP_URL}open/store/nearby-store-list`, {
      longitude:longitude,
      latitude:latitude,
      page:page,
      pageSize:pageSize,
      keyword:keyword
    });
  }






}

export default storeList